UberspectImpl.VelMethodImpl (Velocity 1.7 API)
Keywords: org.apache.velocity.util.introspection.UberspectImpl.VelMethodImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.util.introspection
Class UberspectImpl.VelMethodImpl

    java.lang.Object
      org.apache.velocity.util.introspection.UberspectImpl.VelMethodImpl

All Implemented Interfaces:
  VelMethod

Enclosing class:
  UberspectImpl

public static class UberspectImpl.VelMethodImpl
extends Object
implements VelMethod

Implementation of VelMethod

Constructor Summary
`UberspectImpl.VelMethodImpl(Method m)`
`UberspectImpl.VelMethodImpl(Method method, boolean wrapArray)`

Method Summary
`protected Object` | `doInvoke(Object o, Object[] actual)` Offers an extension point for subclasses (in alternate Uberspects) to alter the invocation after any array wrapping or varargs handling has already been completed.
`String` | `getMethodName()` returns the method name used
`Class` | `getReturnType()` returns the return type of the method invoked
`Object` | `invoke(Object o, Object[] actual)` invocation method - called when the method invocation should be performed and a value returned
`boolean` | `isCacheable()` specifies if this VelMethod is cacheable and able to be reused for this class of object it was returned for
`boolean` | `isVarArg()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UberspectImpl.VelMethodImpl

    public UberspectImpl.VelMethodImpl(Method m)

Parameters:
  `m` -

### UberspectImpl.VelMethodImpl

    public UberspectImpl.VelMethodImpl(Method method,
                                       boolean wrapArray)

Since:
  1.6

Method Detail

### invoke

    public Object invoke(Object o,
                         Object[] actual)
                  throws Exception

  Description copied from interface: `VelMethod`
  invocation method - called when the method invocation should be performed and a value returned

  Specified by:
    `invoke` in interface `VelMethod`
  Parameters:
    `o` -
    `actual` -
  Returns:
    The resulting object.
  Throws:
    `Exception`
  See Also:
    `VelMethod.invoke(java.lang.Object, java.lang.Object[])`

### doInvoke

    protected Object doInvoke(Object o,
                              Object[] actual)
                       throws Exception

  Offers an extension point for subclasses (in alternate Uberspects) to alter the invocation after any array wrapping or varargs handling has already been completed.

  Throws:
    `Exception`
  Since:
    1.6

### isVarArg

    public boolean isVarArg()

  Returns:
    true if this method can accept a variable number of arguments
  Since:
    1.6

### isCacheable

    public boolean isCacheable()

  Description copied from interface: `VelMethod`
  specifies if this VelMethod is cacheable and able to be reused for this class of object it was returned for

  Specified by:
    `isCacheable` in interface `VelMethod`
  Returns:
    true if can be reused for this class, false if not
  See Also:
    `VelMethod.isCacheable()`

### getMethodName

    public String getMethodName()

  Description copied from interface: `VelMethod`
  returns the method name used

  Specified by:
    `getMethodName` in interface `VelMethod`
  Returns:
    The method name used
  See Also:
    `VelMethod.getMethodName()`

### getReturnType

    public Class getReturnType()

  Description copied from interface: `VelMethod`
  returns the return type of the method invoked

  Specified by:
    `getReturnType` in interface `VelMethod`
  Returns:
    The return type of the method invoked
  See Also:
    `VelMethod.getReturnType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.